#!/bin/bash
#PBS -N megahitrun2
#PBS -M katieviljoen@gmail.com
#PBS -m abe
#PBS -d /home/kviljoen/metagenomics-pipeline/log_dir
#PBS -S /bin/bash
#PBS -q CLOUDHMQ
#PBS -l nodes=1:series800:ppn=4
#PBS -V

echo "Job started on `hostname` at `date`"

in_dir=/researchdata/fhgfs/cbio/cbio/project08/team/katie/metagenomics_pipeline_testing/out_dir/trimmomatic/
/opt/exp_soft/megahit-1.1.2/megahit \
-1 $in_dir"all_samples_1.paired.fq" \
-2 $in_dir"all_samples_2.paired.fq" \
--min-count 3 \
--k-list 31,41,51,61,71,81,91,95,101,105,111 \
--kmin-1pass \
--min-contig-len 1000 \
--memory 0.75 \
--out-dir /researchdata/fhgfs/cbio/cbio/project08/team/katie/metagenomics_pipeline_testing/out_dir/megahit/ \
--continue \
--verbose \

echo "Job Ended at `date`"
