#!/bin/bash

#set -x

#if the first column is empty it prints the message "Please provide a config"
if [ "$1" == "" ]
then
  echo "Please provide a config"
  echo
  exit
else
 config=`readlink -m $1`
  . $config
fi

if [ ! -d $out_dir ];
 then
   mkdir -p $out_dir
fi

log_dir=$log_dir"/concoct_input.prep."`date +"%y%m%d%H%M%S"`

if [ ! -d $log_dir ];
 then
   mkdir -p $log_dir
fi

count=1

while read sid_fastq;
do 
  sid=`echo $sid_fastq | awk -F ' ' '{print $1}'` # It is actually not reading it as a TAB. Maybe the read operation replaces the TABs with spaces.
#KL: the above line gets the sample ID from the sid_fastq file
  
  fastqFile=$in_dir/${sid}_resplit.fq  

  cmds_log=$log_dir/concoct_input.prep.$sid.$count.cmds

  qsub="qsub -N concoct_input.prep.$sid.$count  -M $pbs_status_mail_to -m $pbs_status_mail_events -o $log_dir/concoct_input.prep.$sid.$count.o -e $log_dir/concoct_input.prep.$sid.$count.e -d $out_dir -q $pbs_queue -S /bin/bash -l nodes=1:$pbs_series:ppn=$threads -l walltime=$walltime -v config=$config,sid=$sid,fastqFile=$fastqFile,mrkdup_path=$mrkdup_path,cmds_log=$cmds_log $scripts_dir/prepare_for_concoct.single.sh"

  echo $qsub > $log_dir/concoct_input.prep.$sid.$count.qsub
  cat $scripts_dir/prepare_for_concoct.single.sh > $log_dir/concoct_input.prep.$sid.$count.sh

  if [ $CONCOCT_prep_DEBUG -eq 1 ]
   then
     echo $qsub
   else
     jobid=`$qsub`
     echo $jobid
     echo $jobid > $log_dir/concoct_input.prep.$sid.$count.jobid
   fi

   (( count+=1 ))


done < $sid_fastq_list

