#!/bin/bash
#PBS -N run_concoct
#PBS -S /bin/bash
#PBS -q UCTlong
#PBS -l nodes=1:series600:ppn=10
#PBS -V
#PBS -d /researchdata/fhgfs/cbio/cbio/project08/team/katie/metagenomics_pipeline_testing/log_dir  
#PBS -M katie.viljoen@uct.ac.za
#PBS -m abe

echo "Job started on `hostname` at `date`"

contigs_dir=/researchdata/fhgfs/cbio/cbio/project08/team/katie/metagenomics_pipeline_testing/out_dir/megahit
in_dir=/researchdata/fhgfs/cbio/cbio/project08/team/katie/metagenomics_pipeline_testing/out_dir/concoct_prep
out_dir=/researchdata/fhgfs/cbio/cbio/project08/team/katie/metagenomics_pipeline_testing/out_dir/concoct_output/

module load python/anaconda-python-2.7 
source activate concoct_env 

/opt/exp_soft/CONCOCT-0.4.0/bin/concoct  -c 150 --coverage_file $in_dir/concoct_inputtableR.tsv \
--composition_file $contigs_dir/final.contigs.fa \
-b $out_dir

echo "Job Ended at `date`"
